Get list of registered catalogs
GET /catalogs
Get list of registered catalogs
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.catalog.list
Auditing
Calling this method generates the following auditing event.
Request
Path Parameters
Query Parameters
default_catalogs
boolean
Default catalogs flag for cornerstone feature
view
string
Internal view parameter for cornerstone feature
Response
200 - Success
catalogs
array
List of catalogs
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Register delta and hudi tables
POST /catalogs/{catalog_id}/schemas/{schema_id}/register
Register delta and hudi tables
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.table.register
Auditing
Calling this method generates the following auditing event.
Request
Request Body
RegisterTableBody
Request body
metadata_location
Required *
string
Metadata location
table_name
Required *
string
Table name
Path Parameters
catalog_id
Required *
string
catalog id
schema_id
Required *
string
URL encoded schema name
Query Parameters
Response
201 - Success
response
SuccessResponse
Response of success
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Load delta and hudi tables metadata
GET /catalogs/{catalog_id}/schemas/{schema_id}/tables/{table_id}/metadata
Load delta and hudi tables metadata
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.table.load
Auditing
Calling this method generates the following auditing event.
Request
Path Parameters
catalog_id
Required *
string
catalog id
schema_id
Required *
string
URL encoded schema name
table_id
Required *
string
URL encoded table name
Query Parameters
Response
200 - Success
metadata_location
string
Metadata location
table_path
string
Path to the table
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Get catalog engine association
GET /catalogs/{catalog_name}/engines
Get catalog engine association
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.catalog_engine.get
Auditing
Calling this method generates the following auditing event.
Request
Path Parameters
catalog_name
Required *
string
catalog name
Query Parameters
Response
200 - Success
associated_engines
array
List of associated engines
catalog_name
string
Name of the catalog
catalog_type
string
Catalog type like iceberg,hive etc
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Delete schema
DELETE /catalogs/{catalog_name}/schemas/{schema_name}
Delete a schema
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.schema.delete
Auditing
Calling this method generates the following auditing event.
Request
Path Parameters
catalog_name
Required *
string
Catalog name
schema_name
Required *
string
URL encoded Schema name
Query Parameters
engine_id
Required *
string
Engine id of presto/prestissimo/spark/db2/netezza other engine
Response
204 - No Content
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
List all tables
GET /catalogs/{catalog_name}/schemas/{schema_name}/tables
List all tables in a schema in a catalog for a given engine
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.table.list
Auditing
Calling this method generates the following auditing event.
Request
Path Parameters
catalog_name
Required *
string
catalog name
schema_name
Required *
string
URL encoded schema name
Query Parameters
engine_id
Required *
string
Engine id of presto/prestissimo/spark
Response
200 - Success
tables
array
List of the tables present in the schema
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Get table details
GET /catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}
Get details of a given table in a catalog and schema
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.table.get
Auditing
Calling this method generates the following auditing event.
Request
Response
200 - Success
columns
array
List of columns
name
string
Table name
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Delete table
DELETE /catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}
Delete table for a given schema and catalog
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.table.delete
Auditing
Calling this method generates the following auditing event.
Request
Response
204 - No Content
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Rename table
PATCH /catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}
Rename table
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.table.update
Auditing
Calling this method generates the following auditing event.
Request
Request Body
Request body
Response
200 - Success
columns
array
List of columns
name
string
Table name
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
List all columns of a table
GET /catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/columns
List all columns of a table in a given a schema for a given catalog
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.column.list
Auditing
Calling this method generates the following auditing event.
Request
Response
200 - Success
columns
array
List of the columns present in the table
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Add column(s)
POST /catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/columns
Add one or multiple columns to a table in a schema for a given catalog
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.column.create
Auditing
Calling this method generates the following auditing event.
Request
Request Body
ColumnPrototype
Request body
columns
array
List of the tables present in the schema
Response
201 - Success
columns
array
List of the columns present in the table
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Delete column
DELETE /catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/columns/{column_name}
Delete column in a table for a given schema and catalog
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.column.delete
Auditing
Calling this method generates the following auditing event.
Request
Response
204 - No Content
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Alter column
PATCH /catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/columns/{column_name}
Update the given column - rename column
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.column.update
Auditing
Calling this method generates the following auditing event.
Request
Request Body
Request body
Response
200 - Success
comment
string
Optional comment or description of the column
extra
string
Extra column attributes, e.g., AUTO_INCREMENT, DEFAULT, etc.
length
string
Length for types like VARCHAR or CHAR. Should be a numeric string.
name
string
Valid SQL column name
precision
string
Precision (total number of digits) for numeric types like DECIMAL
scale
string
Scale (number of digits after the decimal point) for numeric types like DECIMAL
type
string
SQL data type, e.g., varchar, int, decimal(10,2), etc.
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Rollback snapshot
POST /catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/rollback
Rollback table to snapshot
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.table_rollback.set
Auditing
Calling this method generates the following auditing event.
Request
Request Body
RollbackPrototype
Request body
snapshot_id
string
Snapshot Id
Path Parameters
catalog_name
Required *
string
Catalog name
schema_name
Required *
string
Schema name
table_name
Required *
string
Table name
Query Parameters
engine_id
string
Engine id
Response
201 - Success
response
SuccessResponse
Response of success
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Get table snapshots
GET /catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/snapshots
List all table snapshots
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.table_snapshot.list
Auditing
Calling this method generates the following auditing event.
Request
Path Parameters
catalog_name
Required *
string
Catalog name
schema_name
Required *
string
Schema name
table_name
Required *
string
Table name
Query Parameters
engine_id
string
Engine name
Response
200 - Success
snapshots
array
List of snapshots
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
List all schemas
GET /catalogs/{id}/schemas
List all schemas in catalog
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.schema.list
Auditing
Calling this method generates the following auditing event.
Request
Response
200 - Success
schemas
array
List of schemas fetched from given catalog
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Create schema
POST /catalogs/{id}/schemas
Create a new schema
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.schema.create
Auditing
Calling this method generates the following auditing event.
Request
Request Body
SchemaPrototype
Request body
custom_path
Required *
string
Path within bucket where schema will be created
hostname
string
Host name of the HDFS bucket. Need to be provided if using HDFS
name
Required *
string
Unique schema name, schemas with same names are not allowed in a catalog
port
integer
Port of the HDFS bucket. Need to be provided if using HDFS
storage_name
string
Bucket associated to catalog where schema will be added
Path Parameters
Query Parameters
Response
201 - Success
custom_path
string
Path within bucket where schema will be created
hostname
string
Host name of the HDFS bucket. Need to be provided if using HDFS
name
string
Unique schema name, schemas with same names are not allowed in a catalog
port
integer
Port of the HDFS bucket. Need to be provided if using HDFS
storage_name
string
Bucket associated to catalog where schema will be added
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
External Iceberg table registration
POST /catalogs/{id}/sync
Synchronize the external Iceberg table registration for a catalog identified by catalog_id.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.catalog_sync.update
Auditing
Calling this method generates the following auditing event.
Request
Request Body
SyncPrototype
Request body
auto_add_new_tables
boolean
Automatically detect and add new tables to the system when they appear in the source
register_new_tables
boolean
Register newly discovered tables in the system so they can be tracked and managed
sync_existing_tables
boolean
Synchronize and update metadata for existing tables that are already registered
sync_iceberg_md
boolean
Indicates whether to synchronize metadata from Iceberg tables with the system
sync_path
string
Path within the bucket from where the details will be sync-ed
Path Parameters
id
Required *
string
catalog ID
Query Parameters
Response
200 - Success
response
SuccessResponse
Response of success
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Get catalog properties by catalog_id
GET /catalogs/{name}
Get catalog properties of a catalog identified by catalog_id
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.catalog.get
Auditing
Calling this method generates the following auditing event.
Request
Response
200 - Success
actions
array
List of allowed actions
associated_databases
array
List of associated databases
associated_engines
array
List of associated engines
associated_storage
array
List of associated storage
base_path
string
catalog base path
catalog_sync_metadata
CatalogSyncMetadata
Catalog synchronization metadata
created_at
string
Epoch timestamp when the catalog was created
created_by
string
Created by
days_left
string
Days left for catalog dissociation in case of vulnerability
description
string
The description if added, for the catalog
location_uri
string
catalog location uri
managed_by
string
Managed by
mds_connection_information
MdsConnectionInfo
MDS Thrift server connection details
metastore
string
Underlying catalog or storage backend used for metadata operations.For example,if the database type is `hive_hadoop2` or `iceberg`, the metastore is often set to `glue`.For HDFS, the metastore may be set to `hdfs`
name
string
Name of the catalog
status
string
Catalog status
tags
array
List of tags added to this catalog
catalog_names
array
Catalog names
type
string
Catalog type like iceberg,hive etc
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Delete catalog catalog_id
DELETE /catalogs/{name}
Delete catalog identified by catalog_id
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.catalog.delete
Auditing
Calling this method generates the following auditing event.
Request
Path Parameters
Query Parameters
skip_mds_call
boolean
Skip MDS call when Unity catalog is added
Response
204 - No Content
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Get list of databases
GET /database_registrations
Get list of databases
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.database_registration.list
Auditing
Calling this method generates the following auditing event.
Request
Path Parameters
Query Parameters
Response
200 - Success
database_registrations
array
Database body
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Add/Create database
POST /database_registrations
Add or create a new database
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.database_registration.create
Auditing
Calling this method generates the following auditing event.
Request
Request Body
DatabaseRegistrationPrototype
Request body
associated_catalog
DatabaseCatalogPrototype
database catalog
catalog_name
string
catalog name
catalog_type
string
catalog type
connection
DatabaseDetailsPrototype
database details
authentication_type
string
Authentication method
authentication_value
string
Authentication method
authentication_value_key_vault
object
secret details
broker_authentication_password
string
Broker authentication password
broker_authentication_type
string
Broker authentication type
broker_authentication_user
string
Broker authentication user
broker_host
string
Broker host
broker_port
integer
Broker port
certificate
string
contents of a pem/crt file
certificate_extension
string
extension of the certificate file
connection_method
string
connection mode
connection_mode
string
connection mode
connection_mode_value
string
connection mode value
connection_type
string
Connection type
controller_authentication_password
string
Controller authentication password
controller_authentication_type
string
Controller authentication type
controller_authentication_user
string
Controller authentication user
coordinator_host
string
Coordinator host
coordinator_port
integer
Coordinator port
cpd_hostname
string
CPD Hostname
credentials_key
string
Base 64 encoded json file
domain_name
string
Domain name
hostname
string
Host name
hostname_in_certificate
string
Hostname in certificate
hosts
string
String of hostname:port
informix_server
string
informix server value
name
string
Database name
password
string
Psssword
password_key_vault
object
secret details
port
integer
Port
project_id
string
Project ID
sasl
boolean
SASL Mode
sasl_mechanism
string
sasl mechanism for kafka. Allowed values are plain, scram_sha_256, scram_sha_512
schema_name
string
Schema name
schemas
string
Add tables
service_api_key
string
service api key
service_hostname
string
service hostname
service_password
string
service password
service_port
integer
Service Port
service_ssl
boolean
Service SSL Mode
service_token_url
string
service token url
service_username
string
service username
ssl
boolean
SSL Mode
sslcertificate_key_vault
object
secret details
tables
string
Add tables
username
string
Username
username_key_vault
object
secret details
validate_server_certificate
boolean
Verify certificate
vault_enabled
boolean
vault enabled or not
verify_host_name
boolean
Verify host name
warehouse_name
string
Warehouse name
created_at
string
Created on
description
string
Database description
display_name
Required *
string
Database display name
properties
array
This will hold all the properties for a custom database
source_asset_id
string
Source connection assset Id from platform
source_catalog_id
string
Source catalog Id from platform
source_project_id
string
Source project Id from platform
tags
array
tags
target_catalog_id
string
Target catalog id in the platform to save the database connection
type
Required *
string
Connector type
Path Parameters
Query Parameters
Response
201 - Success
actions
array
actions
associated_catalog
DatabaseCatalog
database catalog
catalog_name
string
Catalog name
connection
DatabaseDetails
database details
created_at
string
Created on
created_by
string
Created by
description
string
Database description
display_name
string
Database display name
id
string
Database ID
properties
array
This will hold all the properties for a custom database
target_catalog_id
string
Target catalog id in the platform to save the database connection
source_asset_id
string
Source connection assset Id from platform
source_catalog_id
string
Source catalog Id from platform
source_project_id
string
Source project Id from platform
tables
array
List of tables
tags
array
tags
topics
array
List of topics
type
string
Connector type
vault_enabled
boolean
vault enabled or not
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Add database catalog
POST /database_registrations/{database_id}/catalogs
Add catalog to a registered database
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.catalog.create
Auditing
Calling this method generates the following auditing event.
Request
Request Body
DatabaseCatalogName
Request body
catalog_name
string
catalog name
Response
201 - Success
message
string
Message
message_code
string
Message code
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Get database
GET /database_registrations/{id}
Get a registered databases
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.database_registration.get
Auditing
Calling this method generates the following auditing event.
Request
Response
200 - Success
actions
array
actions
associated_catalog
DatabaseCatalog
database catalog
catalog_name
string
Catalog name
connection
DatabaseDetails
database details
created_at
string
Created on
created_by
string
Created by
description
string
Database description
display_name
string
Database display name
id
string
Database ID
properties
array
This will hold all the properties for a custom database
target_catalog_id
string
Target catalog id in the platform to save the database connection
source_asset_id
string
Source connection assset Id from platform
source_catalog_id
string
Source catalog Id from platform
source_project_id
string
Source project Id from platform
tables
array
List of tables
tags
array
tags
topics
array
List of topics
type
string
Connector type
vault_enabled
boolean
vault enabled or not
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Delete database
DELETE /database_registrations/{id}
Delete a database
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.database_registration.delete
Auditing
Calling this method generates the following auditing event.
Request
Response
204 - No Content
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Update database
PATCH /database_registrations/{id}
Update database details
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.database_registration.update
Auditing
Calling this method generates the following auditing event.
Request
Request Body
Request body
Path Parameters
Query Parameters
Response
200 - Success
actions
array
actions
associated_catalog
DatabaseCatalog
database catalog
catalog_name
string
Catalog name
connection
DatabaseDetails
database details
created_at
string
Created on
created_by
string
Created by
description
string
Database description
display_name
string
Database display name
id
string
Database ID
properties
array
This will hold all the properties for a custom database
target_catalog_id
string
Target catalog id in the platform to save the database connection
source_asset_id
string
Source connection assset Id from platform
source_catalog_id
string
Source catalog Id from platform
source_project_id
string
Source project Id from platform
tables
array
List of tables
tags
array
tags
topics
array
List of topics
type
string
Connector type
vault_enabled
boolean
vault enabled or not
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Get list of db2 engines
GET /db2_engines
Get list of all db2 engines
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.db2_engine.list
Auditing
Calling this method generates the following auditing event.
Request
Path Parameters
Query Parameters
Response
200 - Success
db2_engines
array
list db2 engines
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Create db2 engine
POST /db2_engines
Create a new db2 engine
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.db2_engine.create
Auditing
Calling this method generates the following auditing event.
Request
Request Body
Db2EnginePrototype
Create db2 engine body
configuration
Required *
Db2EngineDetailsBody
External engine details
connection_string
Required *
string
External engine connection string
description
string
Engine description
display_name
Required *
string
Engine display name
origin
Required *
string
Origin of the engine
tags
array
Tags
Path Parameters
Query Parameters
Response
201 - Success
actions
array
Actions
build_version
string
watsonx.data build version
configuration
Db2EngineDetails
External engine details
created_at
integer
Created time in epoch format
created_by
string
Username of the user who created the watsonx.data instance
description
string
Engine description.
display_name
string
Engine display name
host_name
string
Engine host name. In case of OCP based clusters, this is internal hostname
id
string
Engine programmatic name
origin
string
Origin - place holder
port
integer
Engine port
status
string
Status of db2 engnine
tags
array
Tags
type
string
Engine type
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Delete db2 engine
DELETE /db2_engines/{id}
Delete a db2 engine
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.db2_engine.delete
Auditing
Calling this method generates the following auditing event.
Request
Response
204 - No Content
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
403 - Forbidden
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Update db2 engine
PATCH /db2_engines/{id}
Update details of db2 engine
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.db2_engine.update
Auditing
Calling this method generates the following auditing event.
Request
Request Body
Update Engine Body
Path Parameters
Query Parameters
Response
200 - Success
actions
array
Actions
build_version
string
watsonx.data build version
configuration
Db2EngineDetails
External engine details
created_at
integer
Created time in epoch format
created_by
string
Username of the user who created the watsonx.data instance
description
string
Engine description.
display_name
string
Engine display name
host_name
string
Engine host name. In case of OCP based clusters, this is internal hostname
id
string
Engine programmatic name
origin
string
Origin - place holder
port
integer
Engine port
status
string
Status of db2 engnine
tags
array
Tags
type
string
Engine type
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
403 - Forbidden
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
List ingestion jobs
GET /lhingestion/api/v1/ingestion/jobs
Get list of ingestion jobs.
Request
Path Parameters
Query Parameters
start
string
Page offset
limit
integer
Page size
Response
200 - Ok
limit
integer
Pagination Limit
offset
integer
Pagination Offset
total_count
integer
Pagination Result Total Count
jobs
array
List ingestion jobs
first
PagedResultsLink
Pagination next/previous page links
last
PagedResultsLink
Pagination next/previous page links
next
PagedResultsLink
Pagination next/previous page links
400 - Bad Request
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
403 - Forbidden
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not Found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal Server Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Submit ingestion job
POST /lhingestion/api/v1/ingestion/jobs
Submit an ingestion job with the provided source and target details.
Request
Request Body
IngestionJobPrototype
id
Required *
string
Job ID of the ingestion job
source
Required *
SourceDetails
Details of ingestion source files.
file_paths
string
Comma separated source file or directory path.
file_type
string
Source file types (parquet, csv, json, orc, avro or text)
source_type
Required *
string
Ingestion source type
schema
array
List of schema information derived from file. Updates to a schema must be added to schema_transformations
schema_transformations
array
List of additions/transformations applied to the schema.
schema_name
string
Source DB Schema Name
table_name
string
Source DB Table Name
bucket_details
object
Storage connection details
iceberg_source_table
object
Iceberg source table information
source_database
object
Database credentials model
file_format_properties
object
Options used to read CSV or Text file.
is_local_ingestion
boolean
Determine if ingestion job is a local ingestion job
target
Required *
TargetDetails
Details of ingestion target table.
catalog
Required *
string
Catalog of target table.
schema
Required *
string
Schema of target table.
table
Required *
string
Target table where files will be ingested.
write_mode
Required *
string
Append to existing data or overwrite it.
merge_on_read
boolean
Create table with 'merge-on-read' property.
schema_mode
string
Controls schema validation mode. Use 'strict' to enforce exact schema match, or 'sloppy' to allow relaxed matching.
schema_infer
boolean
Cast source column types to match target table types during append operations. When enabled, matching columns are cast to target types to prevent type mismatch errors. Works independently of schema_mode.
catalog_uri
string
Metastore catalog URI
bucket_details
object
Storage connection details
location
string
Warehouse location
is_new_schema
boolean
Determine if target schema was created in this ingestion job
is_new_table
boolean
Determine if target table was created in this ingestion job
engine
IngestionEngine
Spark Engine Detail
engine_id
string
Engine programmatic name
name
string
Engine display name
endpoint
string
Engine endpoint
origin
string
Origin - created or registered
execute_config
object
Ingestion engine configuration
bucket_details
object
Storage connection details
log_path
string
Engine log path
engine_id
string
ID of the spark engine to be used for ingestion
execute_config
ExecuteConfig
Ingestion engine configuration
driver_memory
string
Driver memory configuration (in GB) for Spark engine
driver_cores
integer
Driver core(s) configuration for Spark engine
executor_memory
string
Executor memory configuration (in GB) for Spark engine
executor_cores
integer
Executor core(s) configuration for Spark engine
num_executors
integer
Number of executors to assign for Spark engine
source_iceberg_table
IcebergSourceTable
Iceberg source table information
schema_name
string
Iceberg schema name
table_name
string
Iceberg table name
catalog_name
string
Iceberg catalog name
warehouse_name
string
Iceberg warehouse name
snapshot_id
integer
Iceberg snapshot ID
partition_by
string
Comma delimited list of columns to partition by
capacity
CapacityDetails
Capacity Details
id
string
Capacity ID for given spark engine.
Path Parameters
Query Parameters
Response
201 - Ingestion job submitted successfully
instance_id
string
Instance ID of the lakehouse where ingestion job is executed
job_id
string
Job ID of the ingestion job
application_id
string
Application ID of the ingestion job
username
string
Ingestion job user
start_timestamp
string
Unix timestamp of ingestion job starting
end_timestamp
string
Unix timestamp of ingestion job completing
status
string
Current state of ingestion job
source_data_files
string
Source data location of the ingestion job
target_table
string
Target table name in format catalog.schema.table
details
string
Error messages of failed ingestion job
engine_logs
string
Engine application logs
engine_id
string
ID of the spark engine to be used for ingestion
engine_name
string
Name of the spark engine to be used for ingestion
partition_by
string
Comma delimited list of columns to partition by
is_new_schema
boolean
Determine if target schema was created in this ingestion job
is_new_table
boolean
Determine if target table was created in this ingestion job
400 - Bad Request
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
403 - Forbidden
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not Found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Get ingestion job by ID
GET /lhingestion/api/v1/ingestion/jobs/{id}
Get ingestion job by ID.
Request
Path Parameters
id
Required *
string
Ingestion Job ID
Query Parameters
Response
200 - Ok
instance_id
string
Instance ID of the lakehouse where ingestion job is executed
job_id
string
Job ID of the ingestion job
application_id
string
Application ID of the ingestion job
username
string
Ingestion job user
start_timestamp
string
Unix timestamp of ingestion job starting
end_timestamp
string
Unix timestamp of ingestion job completing
status
string
Current state of ingestion job
source_data_files
string
Source data location of the ingestion job
target_table
string
Target table name in format catalog.schema.table
details
string
Error messages of failed ingestion job
engine_logs
string
Engine application logs
engine_id
string
ID of the spark engine to be used for ingestion
engine_name
string
Name of the spark engine to be used for ingestion
partition_by
string
Comma delimited list of columns to partition by
is_new_schema
boolean
Determine if target schema was created in this ingestion job
is_new_table
boolean
Determine if target table was created in this ingestion job
400 - Bad Request
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
403 - Forbidden
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not Found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal Server Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
To validate an integration
POST /integration_validation
To validate the details of an integration.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.dashboard.view
Auditing
Calling this method generates the following auditing event.
Request
Request Body
ValidateIntegrationPrototype
Body paramters for validating an integration credentials
access_token
string
Access Token for the integration of type `databand`.
apikey
string
ApiKey for the integration of type `manta` and `ikc`.
catalogs
Catalogs
Details of catalogs associated with `ikc`
catalog_names
Required *
array
Comma separated list of catalogs for which `ikc` needs to be enabled
certificate
string
Certificate to be provided if ssl is enabled for integration type `ikc` in Cloud Pack for Data.
password
string
Password for the integration of type `ranger`.
ssl
boolean
SSL enabler/disabler for `ikc` in Cloud Pack for Data.
type
Required *
string
Type of the integration to be integrated. It can only have the following values: `ranger`, `ikc`, `databand` and `manta`.
url
string
URL of the integration to be integrated. Applicable for all the 4 types: `ranger`, `ikc`, `databand` and `manta`
username
string
Username of the `ikc`/`manta`/`ranger` integration to be integrated.
Path Parameters
Query Parameters
Response
200 - Success
message
string
A brief description of the `message_code`
message_code
string
Message code stating if a success or failure.
ranger_details
RangerDetails
Details realted to the available resources for `ranger`
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal Server Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
List integrations
GET /integrations
List all existing integrations (can be filtered based on `type`)
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.dashboard.view
Auditing
Calling this method generates the following auditing event.
Request
Path Parameters
Query Parameters
type
array
Filter based on the type of the integration. It can only have the following values: `ranger`, `ikc`, `databand` and `manta`.
state
array
Filter based on the state of the integration. It can only have the following values: `active`, `inactive`, and `failed`.
Response
200 - Success
integrations
array
Database body
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Create an integration
POST /integrations
To create an integration of type Apache Ranger, IBM Knowlege Catalog, IBM Manta Data lineage or IBM Data Observability by Databand
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.dashboard.view
Auditing
Calling this method generates the following auditing event.
Request
Request Body
IntegrationPrototype
Parameters for registering an integration
access_token
string
Access Token for the integration of type `databand`.
apikey
string
ApiKey for the integration of type `manta` and `ikc`.
catalogs
Catalogs
Details of catalogs associated with `ikc`
catalog_names
Required *
array
Comma separated list of catalogs for which `ikc` needs to be enabled
certificate
string
Certificate if ssl is enabled for integration type `ikc` (ikc hosted in Cloud Pack for Data) and `ranger`.
certificate_extension
string
Certificate extension of the certificate provided if ssl is enabled for integration type `ikc` (ikc hosted in Cloud Pack for Data) and `ranger`.
connection_mode
string
Connection mode for manta
cross_account_integration
boolean
To enable/disable cross account integration for `ikc` in IBM Cloud / MCSP.
enable_data_policy_within_wxd
boolean
To check if WatsonX.data policies are enabled along with `ranger`.
ikc_user_account_id
string
The Account ID where the `ikc` is existing with which cross account integration needs to be enabled, to be used compulsorily with `cross_account_integration`.
password
string
Password for the integration of type `ranger`.
policy_cache_time_configuration
string
Displays the policy cache type configuration for integration type `ranger`.
resource
string
Currently selected resource for `ranger`.
ssl
boolean
SSL enabled/disabled for `ikc` (ikc hosted in Cloud Pack for Data) and `ranger`.
type
string
Type of the integration to be integrated. It can only have the following values: `ranger`, `ikc`, `databand` and `manta`.
url
string
URL of the integration to be integrated. Applicable for all the 4 types: `ranger`, `ikc`, `databand` and `manta`
username
string
Username of the `ikc`/`manta`/`ranger` integration to be integrated.
Response
201 - Success
access_token
string
Access Token for the integration of type `databand`. The value will be encrypted.
apikey
string
ApiKey for the integration of type `manta` and `ikc`. The value will be encrypted.
auth_url
string
Authentication url for the corresponding `manta` integration in saas (Internal use only).
catalogs
Catalogs
Details of catalogs associated with `ikc`
certificate
string
Certificate if ssl is enabled for integration type `ikc` (ikc hosted in Cloud Pack for Data) and `ranger`.
certificate_extension
string
Certificate extension of the certificate provided if ssl is enabled for integration type `ikc` (ikc hosted in Cloud Pack for Data) and `ranger`.
config_properties
string
Properties for `ikc`.
connection_mode
string
Connection mode for manta
cross_account_integration
boolean
To enable/disable cross account integration for `ikc` in IBM Cloud / MCSP.
enable_data_policy_within_wxd
boolean
To check if WatsonX.data policies are enabled along with `ranger`.
governance_properties
string
Properties for `ikc`.
id
string
Unique id to identify the integration
ikc_user_account_id
string
The Account ID where the `ikc` is existing with which cross account integration needs to be enabled, to be used compulsorily with `cross_account_integration`.
manta_url
string
Manta specific Url derived from the url provided for `manta` integration in Saas
modified_at
integer
Last Modified time for the corresponding integration in epoch format
modified_by
string
Last Modified user name for the corresponding integration
password
string
Password for the integration of type `ranger`. The value will be encrypted.
policy_cache_time_configuration
string
Displays the policy cache type configuration for integration type `ranger`.
resource
string
Currently selected resource for `ranger`.
ssl
boolean
SSL enabled/disabled for `ikc` (ikc hosted in Cloud Pack for Data) and `ranger`.
state
string
Current state of the integration
type
string
Type of the integration integrated. It will only have the following values: `ranger`, `ikc`, `databand` and `manta`.
url
string
URL of the integration. Applicable for all the 4 types: `ranger`, `ikc`, `databand` and `manta`
username
string
Username of the `ikc`/`manta`/`ranger` integration.
zen_apikey
string
Zen API key for the integration of type `manta` (Internal use only).
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Get an Integration
GET /integrations/{id}
To get the details of an integration
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.dashboard.view
Auditing
Calling this method generates the following auditing event.
Request
Response
200 - Success
access_token
string
Access Token for the integration of type `databand`. The value will be encrypted.
apikey
string
ApiKey for the integration of type `manta` and `ikc`. The value will be encrypted.
auth_url
string
Authentication url for the corresponding `manta` integration in saas (Internal use only).
catalogs
Catalogs
Details of catalogs associated with `ikc`
certificate
string
Certificate if ssl is enabled for integration type `ikc` (ikc hosted in Cloud Pack for Data) and `ranger`.
certificate_extension
string
Certificate extension of the certificate provided if ssl is enabled for integration type `ikc` (ikc hosted in Cloud Pack for Data) and `ranger`.
config_properties
string
Properties for `ikc`.
connection_mode
string
Connection mode for manta
cross_account_integration
boolean
To enable/disable cross account integration for `ikc` in IBM Cloud / MCSP.
enable_data_policy_within_wxd
boolean
To check if WatsonX.data policies are enabled along with `ranger`.
governance_properties
string
Properties for `ikc`.
id
string
Unique id to identify the integration
ikc_user_account_id
string
The Account ID where the `ikc` is existing with which cross account integration needs to be enabled, to be used compulsorily with `cross_account_integration`.
manta_url
string
Manta specific Url derived from the url provided for `manta` integration in Saas
modified_at
integer
Last Modified time for the corresponding integration in epoch format
modified_by
string
Last Modified user name for the corresponding integration
password
string
Password for the integration of type `ranger`. The value will be encrypted.
policy_cache_time_configuration
string
Displays the policy cache type configuration for integration type `ranger`.
resource
string
Currently selected resource for `ranger`.
ssl
boolean
SSL enabled/disabled for `ikc` (ikc hosted in Cloud Pack for Data) and `ranger`.
state
string
Current state of the integration
type
string
Type of the integration integrated. It will only have the following values: `ranger`, `ikc`, `databand` and `manta`.
url
string
URL of the integration. Applicable for all the 4 types: `ranger`, `ikc`, `databand` and `manta`
username
string
Username of the `ikc`/`manta`/`ranger` integration.
zen_apikey
string
Zen API key for the integration of type `manta` (Internal use only).
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Delete an Integration
DELETE /integrations/{id}
Deletes an existing integration completely from WatsonX.data
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.dashboard.view
Auditing
Calling this method generates the following auditing event.
Request
Response
204 - No Content
400 - Error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
401 - Unauthorized
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
404 - Not found
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
500 - Internal server error
errors
array
The array of error entries associated with the error response
exception
string
String representation of the error
message
string
Error message
message_code
string
Error code
more_info
string
publicly-accessible URL where information about the error can be read
status_code
integer
Http error code
trace
string
The error trace information.
Update an Integration
PATCH /integrations/{id}
To Update information details and state of an existing integration
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
lakehouse.dashboard.view
Auditing
Calling this method generates the following auditing event.
Request
Request Body
Body for parameters supported for integrations
Response
200 - Success
access_token
string
Access Token for the integration of type `databand`. The value will be encrypted.
apikey
string
ApiKey for the integration of type `manta` and `ikc`. The value will be encrypted.
auth_url
string
Authentication url for the corresponding `manta` integration in saas (Internal use only).
catalogs
Catalogs
Details of catalogs associated with `ikc`
certificate
string
Certificate if ssl is enabled for integration type `ikc` (ikc hosted in Cloud Pack for Data) and `ranger`.
certificate_extension
string
Certificate extension of the certificate provided if ssl is enabled for integration type `ikc` (ikc hosted in Cloud Pack for Data) and `ranger`.
config_properties
string
Properties for `ikc`.
connection_mode
string
Connection mode for manta
cross_account_integration
boolean
To enable/disable cross account integration for `ikc` in IBM Cloud / MCSP.
enable_data_policy_within_wxd
boolean
To check if WatsonX.data policies are enabled along with `ranger`.
governance_properties
string
Properties for `ikc`.
id
string
Unique id to identify the integration
ikc_user_account_id
string
The Account ID where the `ikc` is existing with which cross account integration needs to be enabled, to be used compulsorily with `cross_account_integration`.
manta_url
string
Manta specific Url derived from the url provided for `manta` integration in Saas
modified_at
integer
Last Modified time for the corresponding integration in epoch format
modified_by
string
Last Modified user name for the corresponding integration
password
string
Password for the integration of type `ranger`. The value will be encrypted.
policy_cache_time_configuration
string
Displays the policy cache type configuration for integration type `ranger`.
resource
string
Currently selected resource for `ranger`.
ssl
boolean
SSL enabled/disabled for `ikc` (ikc hosted in Cloud Pack for Data) and `ranger`.
state
string
[...]
